Package com.xebialabs.xlrelease.domain.utils

# Class DeliveryUtils

java.lang.Object
com.xebialabs.xlrelease.domain.utils.DeliveryUtils

public class DeliveryUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeliveryUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `deliveryIdFrom(String id)`
  `static scala.collection.immutable.Seq<TrackedItem>`
  `getItemsCompletedInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages)`
  `static scala.collection.immutable.Seq<TrackedItem>`
  `getItemsWithStatusInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages, scala.collection.immutable.Seq<TrackedItemStatus> statuses)`
  `static boolean`
  `hasAnyStatusInStage(Stage stage, TrackedItem item, scala.collection.immutable.Seq<TrackedItemStatus> statuses)`
  `static boolean`
  `isConditionGroup(Condition condition)`
  `static String`
  `transitionIdFrom(String id)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeliveryUtils

    public DeliveryUtils()

- ## Method Details

  - ### deliveryIdFrom

    public static String deliveryIdFrom(String id)

  - ### transitionIdFrom

    public static String transitionIdFrom(String id)

  - ### getItemsCompletedInAllStages

    public static scala.collection.immutable.Seq<TrackedItem> getItemsCompletedInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages)

  - ### getItemsWithStatusInAllStages

    public static scala.collection.immutable.Seq<TrackedItem> getItemsWithStatusInAllStages(scala.collection.immutable.Seq<TrackedItem> items, scala.collection.immutable.Seq<Stage> stages, scala.collection.immutable.Seq<TrackedItemStatus> statuses)

  - ### hasAnyStatusInStage

    public static boolean hasAnyStatusInStage(Stage stage, TrackedItem item, scala.collection.immutable.Seq<TrackedItemStatus> statuses)

  - ### isConditionGroup

    public static boolean isConditionGroup(Condition condition)